Name:           virt-who
Version:        0.7
Release:        9%{?dist}
Summary:        Agent for reporting virtual guest IDs to subscription-manager

Group:          System Environment/Base
License:        GPLv2+
URL:            https://fedorahosted.org/virt-who/
Source0:        https://fedorahosted.org/releases/v/i/virt-who/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Don't register domain events in one-shot mode
Patch0:         virt-who-0.7-dont-register-domain-events-in-one-shot-mode.patch
# Fix "--interval" option
Patch1:         virt-who-0.7-fix-interval-option.patch
# Don't start event loop when not running in background mode
Patch2:         virt-who-0.7-dont-start-event-loop-in-bg-mode.patch
# Don't use deprecated way for reading certificates
Patch3:         virt-who-0.7-deprecated-certificate-read.patch
# Fix crash when running virt-who in interval mode
Patch4:         virt-who-0.7-fix-crash-in-interval-mode.patch
# Add manual page for virt-who
Patch5:         virt-who-0.7-add-man-page.patch
# Don't crash in vdsm mode
Patch6:         virt-who-0.7-dont-crash-in-vdsm-mode.patch
# Create PID file ASAP to prevent service stop fails
Patch7:         virt-who-0.7-create-pid-file-asap.patch

BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       libvirt-python
Requires:       libvirt
# python-rhsm 1.0.4 contains new module for reading certificates
Requires:       python-rhsm >= 1.0.4
# python-suds is required for vSphere support
Requires:       python-suds
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts


%description
Agent that collects information about virtual guests present in the system and
report them to the subscription manager.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# Don't run test suite in check section, because it need the system to be
# registered to subscription-manager server

%clean
rm -rf $RPM_BUILD_ROOT

%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add virt-who

%preun
if [ $1 -eq 0 ] ; then
    /sbin/service virt-who stop >/dev/null 2>&1
    /sbin/chkconfig --del virt-who
fi

%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service virt-who condrestart >/dev/null 2>&1 || :
fi


%files
%doc README LICENSE
%{_bindir}/virt-who
%{_datadir}/virt-who/
%{_sysconfdir}/rc.d/init.d/virt-who
%config(noreplace) %{_sysconfdir}/sysconfig/virt-who
%{_mandir}/man8/virt-who.8.gz


%changelog
* Thu Oct 04 2012 Radek Novacek <rnovacek@redhat.com> 0.7-9
- Create PID file ASAP to prevent service stop fails
- Resolves: rhbz#861563

* Mon Sep 24 2012 Radek Novacek <rnovacek@redhat.com> 0.7-8
- Apply previous patch

* Mon Sep 24 2012 Radek Novacek <rnovacek@redhat.com> 0.7-7
- Don't crash in vdsm mode
- Resolves: rhbz#859841

* Mon Sep 17 2012 Radek Novacek <rnovacek@redhat.com> 0.7-6
- Increase required python-rhsm version to 1.0.4
- Add virt-who manual page
- Resolves: rhbz#848781

* Mon Sep 03 2012 Radek Novacek <rnovacek@redhat.com> 0.7-5
- Fix crash when running virt-who in interval mode
- Resolves: rhbz#848777, rhbz#853371

* Fri Aug 24 2012 Radek Novacek <rnovacek@redhat.com> 0.7-4
- Don't start event loop when not running in background mode
- Don't use deprecated way for reading certificates
- Resolves: rhbz#848777

* Thu Aug 23 2012 Radek Novacek <rnovacek@redhat.com> 0.7-3
- Fix "--interval" option
- Resolves: rhbz#849921

* Tue Aug 07 2012 Radek Novacek <rnovacek@redhat.com> 0.7-2
- Don't register domain events in one-shot mode
- Resolves: rhbz#808061

* Mon Jul 16 2012 Radek Novacek <rnovacek@redhat.com> 0.7-1
- Upstream version 0.7
- RFE: command line improvements
- Cleanup PID file on unexpected termination
- Reload configuration on SIGHUP signal
- Resolves: rhbz#808061, rhbz#806226

* Fri Jan 20 2012 Radek Novacek <rnovacek@redhat.com> 0.5-5
- Fix crash when no guest exists
- Resolves: rhbz#783355

* Wed Jan 11 2012 Radek Novacek <rnovacek@redhat.com> 0.5-4
- Make password for ESX not mandatory
- Assume using https protocol when not given on ESX
- Resolves: rhbz#772612, rhbz#772379

* Wed Dec 21 2011 Radek Novacek <rnovacek@redhat.com> 0.5-3
- Fix logging exceptions
- Fix using undefined variable
- Don't report Domain-0 as guest
- Resolves: rhbz#768112, rhbz#769170

* Wed Dec 14 2011 Radek Novacek <rnovacek@redhat.com> 0.5-2
- Fix refernce before assignment error
- Resolves: rhbz#756380

* Tue Dec 13 2011 Radek Novacek <rnovacek@redhat.com> 0.5-1
- Upstream version 0.5
- vSphere support
- Don't print logs to stderr when not in debug mode
- Add workaround for xen for adding guests
- Fix exporting variables from /etc/sysconfig in initscript
- Resolves: rhbz#759631, rhbz#765728, rhbz#761569, rhbz#756380

* Wed Nov 30 2011 Radek Novacek <rnovacek@redhat.com> 0.4-1
- Upstream version 0.4
- Make main loop more robust
- Workaround for removing machines using xen
- Add vdsm mode
- Resolves: rhbz#756380, rhbz#757974, rhbz#754330

* Tue Nov 08 2011 Radek Novacek <rnovacek@redhat.com> 0.3-3
- Use updateConsumer API instead of updateConsumerFact (fixes limit 255 chars of uuid list)
- Requires python-rhsm >= 0.96.13
- Resolves: rhbz#749514

* Mon Oct 10 2011 Radek Novacek <rnovacek@redhat.com> 0.3-2.1
- Rebase RHEL-5 version to RHEL-6 version
- Related: rhbz#725839

* Wed Sep 07 2011 Radek Novacek <rnovacek@redhat.com> - 0.3-2
- Add upstream patch that prevents failure when server not implements /status/ command

* Thu Sep 01 2011 Radek Novacek <rnovacek@redhat.com> - 0.3-1
- Add initscript and configuration file

* Mon Aug 22 2011 Radek Novacek <rnovacek@redhat.com> - 0.2-2
- Bump release because of tagging in wrong branch

* Mon Aug 22 2011 Radek Novacek <rnovacek@redhat.com> - 0.2-1
- Update to upstream version 0.2
- Add Requires: libvirt

* Fri Aug 19 2011 Radek Novacek <rnovacek@redhat.com> - 0.1-2
- Add BuildRoot tag (the package will be in RHEL5)

* Wed Aug 10 2011 Radek Novacek <rnovacek@redhat.com> - 0.1-1
- initial import
